import request from '@/utils/request'

// 创建预约挂号
export function createReserve8(data) {
  return request({
    url: '/system/reserve8/create',
    method: 'post',
    data: data
  })
}

// 更新预约挂号
export function updateReserve8(data) {
  return request({
    url: '/system/reserve8/update',
    method: 'put',
    data: data
  })
}

// 删除预约挂号
export function deleteReserve8(id) {
  return request({
    url: '/system/reserve8/delete?id=' + id,
    method: 'delete'
  })
}

// 获得预约挂号
export function getReserve8(id) {
  return request({
    url: '/system/reserve8/get?id=' + id,
    method: 'get'
  })
}

// 获得预约挂号分页
export function getReserve8Page(query) {
  return request({
    url: '/system/reserve8/page',
    method: 'get',
    params: query
  })
}

// 导出预约挂号 Excel
export function exportReserve8Excel(query) {
  return request({
    url: '/system/reserve8/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
